Переполнение буфера в Omni-NFS Enterprise

Дата публикации:
08.10.2009
Дата изменения:
08.10.2009
Всего просмотров:
1499
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Omni-NFS Enterprise 5.x
Уязвимые версии: Omni-NFS Enterprise 5.2, возможно другие версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки проверки границ данных в ntpd.exe при обработке FTP запросов. Удаленный пользователь может отправить специально сформированный запрос на порт приложения 21/TCP, вызвать переполнение стека и выполнить произвольный код на целевой системе.

2. Уязвимость существует из-за ошибки проверки границ данных в wftp.exe при обработке FTP запросов. Злоумышленник может при подключении пользователя к специально сформированному FTP серверу вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.xlink.com/nfs_products/Omni-NFS_Enterprise2000/NFS_Enterprise_2000.aspx

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Xlink FTP Client Buffer Overflow Exploit
Xlink FTP Server Buffer Overflow Exploit

или введите имя

CAPTCHA